Subject: bug#71468: backref-multibyte-slow test fails on Cygwin

From: Bruno Haible <[email-masked]>
Date: Sun, 02 Mar 2025 10:16:53 +0100

Hi Collin,

> The issue here seems to be a carriage return emitted by Perl generated
> in these lines:
> 
> + gawk 'BEGIN {for (i=0; i<13000; i++) print "aba"}' /dev/null
> ++ LC_ALL=C
> ++ perl -le 'use Time::HiRes qw(time); my $s = time();
>               system q,grep -E '\''^([a-z]).\1$'\'' in > junk,;
>               my $elapsed = time() - $s; print int (1 + 10 * $elapsed)'
> + max_seconds=$'1\r'
> + test $'1\r' = 1

I see.

> Do you know what Perl is being used on the Cygwin CI machines?
> 
> As far as I can tell, you don't install the Cygwin Perl package in
> many-platforms.yml [1]. GitHub says Windows CI machines come with Perl
> installed [2], but I assume this would be some Windows distribution like
> Strawberry Perl [3].

It's a native Windows Perl (I checked some time ago). The default PATH
contains these elements:
  C:\Strawberry\c\bin
  C:\Strawberry\perl\site\bin
  C:\Strawberry\perl\bin

> I haven't used Windows enough to know for sure, but I assume the Native
> Windows Perl distributions emit a carriage return while the Cygwin
> version does not.

Quite likely, yes.

Bruno